# Uses of Interface
com.github.lgooddatepicker.optionalusertools.TimeVetoPolicy

Packages that use TimeVetoPolicy
Package
Description
com.github.lgooddatepicker.components
com.github.lgooddatepicker.zinternaltools

## Uses of TimeVetoPolicy in com.github.lgooddatepicker.components

Methods in com.github.lgooddatepicker.components that return TimeVetoPolicy
Modifier and Type
Method
Description
`TimeVetoPolicy`
TimePickerSettings.`getVetoPolicy()`
getVetoPolicy, This returns the veto policy.
Methods in com.github.lgooddatepicker.components with parameters of type TimeVetoPolicy
Modifier and Type
Method
Description
`boolean`
TimePickerSettings.`setVetoPolicy(TimeVetoPolicy vetoPolicy)`
setVetoPolicy, This sets a veto policy for the time picker.

## Uses of TimeVetoPolicy in com.github.lgooddatepicker.zinternaltools

Methods in com.github.lgooddatepicker.zinternaltools with parameters of type TimeVetoPolicy
Modifier and Type
Method
Description
`static boolean`
InternalUtilities.`isTimeVetoed(TimeVetoPolicy policy, LocalTime time)`